## Contributing

Your contributions to this project can be one of the following three categories:

1. **Bug Fixes**
    - If you find a bug, please create an issue.
    - If you want to fix an issue, please comment on that issue stating your intention.

2. **New Feature Proposals**
    - If you have a new feature in mind, please create an issue first. We will then discuss the design and implementation. Once we agree that the plan looks good, you can go ahead and implement it.

3. **Documentation Refinement**
    - If you find something lacking in the documentation, please create an issue or improve the documentation directly by sending a Pull Request.

Once your contribution is ready, please send a Pull Request to [Your Repository Link].

## Development Environment Setup

To develop this project on your machine, follow these steps:

1. Clone the repository:

```bash
git clone [Your Repository Link]
cd [Your Repository Folder]
```

1. Install the Python package in develop mode:
```
pip install -r requirements.txt
```

And install JDK 17.

## Code Style

For Python code, we follow the [black coding style](https://github.com/psf/black). There are no specific style rules for Kotlin code.


## Pull Request (PR)

Before proposing a PR, please create an issue first to discuss the feature. This prevents duplicate PRs and eases the code review process.

Every PR needs to be reviewed and must pass the Continuous Integration tests.

## Tests

All new features must add tests in the `tests/` folder. The same applies when a bug fix is proposed.

## References

- For creating Minecraft mods: [FabricMC Wiki](https://fabricmc.net/wiki/start)
- For Gymnasium environments: [Gymnasium Documentation](https://gymnasium.farama.org/)
- For Stable-Baselines3: [Stable-Baselines3 Documentation](https://stable-baselines3.readthedocs.io/en/master/)

## Notice

It is prohibited to take illegal advantage of Minecraft.
